*** ../wavelan.orig/if_wavelan_ieee.h	Thu Jan 17 11:19:39 2002
--- if_wavelan_ieee.h	Thu Jan 17 13:20:20 2002
***************
*** 76,81 ****
--- 76,111 ----
  #define WI_RID_ZERO_CACHE	0x0300
  #define WI_RID_READ_CACHE	0x0400
  #endif
+ #define WI_RID_MONITOR_MODE    0x0500
+ #define WI_RID_SCAN_APS        0x0600
+ #define WI_RID_READ_APS        0x0700
+ 
+ /*
+  * Turn monitoring off.
+  */
+ #define        WI_MONITOR_OFF          0x0000
+ 
+ /*
+  * Type of header to attach to the monitoring packets.
+  */
+ #define  WI_MONITOR_HTYPE        0x0003
+ #define  WI_MONITOR_ETHER        0x0001
+ #define  WI_MONITOR_80211        0x0002
+ #define  WI_MONITOR_WAVELAN      0x0003
+ 
+ /*
+  * Type of packets to monitor.
+  */
+ #define WI_MONITOR_PTYPE        0x003C
+ #define WI_MONITOR_MGMT         0x0004
+ #define WI_MONITOR_CTRL         0x0008
+ #define WI_MONITOR_DATA         0x0010
+ #define WI_MONITOR_BEACONS      0x0020
+ #define WI_MONITOR_ALL          0x003C
+ 
+ /* Just something for now */
+ #define        DLT_WAVELAN_HEADER      121
+ 
  
  struct wi_80211_hdr {
  	u_int16_t		frame_ctl;
***************
*** 115,120 ****
--- 145,158 ----
  #define WI_STYPE_MGMT_AUTH	0x00B0	/* authentication */
  #define WI_STYPE_MGMT_DEAUTH	0x00C0	/* deauthentication */
  
+ #define WI_STYPE_CTL_PSPOLL     0x00A0
+ #define WI_STYPE_CTL_RTS        0x00B0
+ #define WI_STYPE_CTL_CTS        0x00C0
+ #define WI_STYPE_CTL_ACK        0x00D0
+ #define WI_STYPE_CTL_CFEND      0x00E0
+ #define WI_STYPE_CTL_CFENDACK   0x00F0
+ 
+ 
  struct wi_mgmt_hdr {
  	u_int16_t		frame_ctl;
  	u_int16_t		duration;
***************
*** 170,175 ****
--- 208,231 ----
  	u_int32_t		wi_rx_msg_in_bad_msg_frags;
  };
  #endif
+ 
+ 
+ /*
+  * This is the access point info obtained from scans.
+  */
+ #define MAXAPINFO      30
+ 
+ struct wi_apinfo {
+ 	char    bssid[6];       /* unique BSSID (mac address) */
+ 	int     channel;        /* channel */
+ 	int     signal;         /* signal strength */
+ 	int     noise;          /* noise strength */
+ 	int     quality;        /* quality */
+ 	int     namelen;        /* length of essid string */
+ 	char    name[32];       /* essid string */
+ 	int     capinfo;	/* capability info */ 
+ 	int     interval;	/* beacon xmit interval */
+ };
  
  /*
   * These are all the LTV record types that we can read or write
